Index: src/test/regress/regress.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/regress.c,v
retrieving revision 1.54
diff -c -r1.54 regress.c
*** src/test/regress/regress.c	13 Nov 2002 00:39:48 -0000	1.54
--- src/test/regress/regress.c	23 Feb 2003 01:06:02 -0000
***************
*** 30,37 ****
  extern Datum int44out(PG_FUNCTION_ARGS);
  
  /*
! ** Distance from a point to a path
! */
  PG_FUNCTION_INFO_V1(regress_dist_ptpath);
  
  Datum
--- 30,37 ----
  extern Datum int44out(PG_FUNCTION_ARGS);
  
  /*
!  * Distance from a point to a path
!  */
  PG_FUNCTION_INFO_V1(regress_dist_ptpath);
  
  Datum
***************
*** 72,79 ****
  	PG_RETURN_FLOAT8(result);
  }
  
! /* this essentially does a cartesian product of the lsegs in the
!    two paths, and finds the min distance between any two lsegs */
  PG_FUNCTION_INFO_V1(regress_path_dist);
  
  Datum
--- 72,81 ----
  	PG_RETURN_FLOAT8(result);
  }
  
! /*
!  * this essentially does a cartesian product of the lsegs in the
!  * two paths, and finds the min distance between any two lsegs
!  */
  PG_FUNCTION_INFO_V1(regress_path_dist);
  
  Datum
***************
*** 114,121 ****
  }
  
  PATH *
! poly2path(poly)
! POLYGON    *poly;
  {
  	int			i;
  	char	   *output = (char *) palloc(2 * (P_MAXDIG + 1) * poly->npts + 64);
--- 116,122 ----
  }
  
  PATH *
! poly2path(POLYGON *poly)
  {
  	int			i;
  	char	   *output = (char *) palloc(2 * (P_MAXDIG + 1) * poly->npts + 64);
***************
*** 125,135 ****
  
  	for (i = 0; i < poly->npts; i++)
  	{
! 		sprintf(buf, ",%*g,%*g", P_MAXDIG, poly->p[i].x, P_MAXDIG, poly->p[i].y);
  		strcat(output, buf);
  	}
  
! 	sprintf(buf, "%c", RDELIM);
  	strcat(output, buf);
  	return DatumGetPathP(DirectFunctionCall1(path_in,
  											 CStringGetDatum(output)));
--- 126,137 ----
  
  	for (i = 0; i < poly->npts; i++)
  	{
! 		snprintf(buf, sizeof(buf), ",%*g,%*g",
! 				 P_MAXDIG, poly->p[i].x, P_MAXDIG, poly->p[i].y);
  		strcat(output, buf);
  	}
  
! 	snprintf(buf, sizeof(buf), "%c", RDELIM);
  	strcat(output, buf);
  	return DatumGetPathP(DirectFunctionCall1(path_in,
  											 CStringGetDatum(output)));
***************
*** 180,189 ****
  
  /* like lseg_construct, but assume space already allocated */
  void
! regress_lseg_construct(lseg, pt1, pt2)
! LSEG	   *lseg;
! Point	   *pt1;
! Point	   *pt2;
  {
  	lseg->p[0].x = pt1->x;
  	lseg->p[0].y = pt1->y;
--- 182,188 ----
  
  /* like lseg_construct, but assume space already allocated */
  void
! regress_lseg_construct(LSEG *lseg, Point *pt1, Point *pt2)
  {
  	lseg->p[0].x = pt1->x;
  	lseg->p[0].y = pt1->y;
***************
*** 219,232 ****
  }	WIDGET;
  
  WIDGET	   *widget_in(char *str);
! char	   *widget_out(WIDGET * widget);
  extern Datum pt_in_widget(PG_FUNCTION_ARGS);
  
  #define NARGS	3
  
  WIDGET *
! widget_in(str)
! char	   *str;
  {
  	char	   *p,
  			   *coord[NARGS],
--- 218,230 ----
  }	WIDGET;
  
  WIDGET	   *widget_in(char *str);
! char	   *widget_out(WIDGET *widget);
  extern Datum pt_in_widget(PG_FUNCTION_ARGS);
  
  #define NARGS	3
  
  WIDGET *
! widget_in(char *str)
  {
  	char	   *p,
  			   *coord[NARGS],
***************
*** 246,259 ****
  	result->center.y = atof(coord[1]);
  	result->radius = atof(coord[2]);
  
! 	sprintf(buf2, "widget_in: read (%f, %f, %f)\n", result->center.x,
! 			result->center.y, result->radius);
  	return result;
  }
  
  char *
! widget_out(widget)
! WIDGET	   *widget;
  {
  	char	   *result;
  
--- 244,256 ----
  	result->center.y = atof(coord[1]);
  	result->radius = atof(coord[2]);
  
! 	snprintf(buf2, sizeof(buf2), "widget_in: read (%f, %f, %f)\n",
! 			 result->center.x, result->center.y, result->radius);
  	return result;
  }
  
  char *
! widget_out(WIDGET *widget)
  {
  	char	   *result;
  
***************
*** 315,321 ****
  	return new_string;
  }
  
! /* This rather silly function is just to test that oldstyle functions
   * work correctly on toast-able inputs.
   */
  int
--- 312,319 ----
  	return new_string;
  }
  
! /*
!  * This rather silly function is just to test that oldstyle functions
   * work correctly on toast-able inputs.
   */
  int
